## org.apache.xerces.dom
Class DOMMessageFormatter

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMMessageFormatter

public class DOMMessageFormatter
extends java.lang.Object

Used to format DOM error messages, using the system locale.

Version:
  $Id: DOMMessageFormatter.java,v 1.3 2004/01/29 21:03:06 elena Exp $
Author:
  Sandy Gao, IBM

Field Summary
`static java.lang.String` `DOM_DOMAIN`
`static java.lang.String` `SERIALIZER_DOMAIN`
`static java.lang.String` `XML_DOMAIN`

Constructor Summary
`DOMMessageFormatter()`

Method Summary
`static java.lang.String` `formatMessage(java.lang.String domain, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_DOMAIN

    public static final java.lang.String XML_DOMAIN

### DOM_DOMAIN

    public static final java.lang.String DOM_DOMAIN

### SERIALIZER_DOMAIN

    public static final java.lang.String SERIALIZER_DOMAIN

Constructor Detail

### DOMMessageFormatter

    public DOMMessageFormatter()

Method Detail

### formatMessage

    public static java.lang.String formatMessage(java.lang.String domain,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.
  Parameters:
    `domain` - domain from which error string is to come.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.